using System.Text.Json.Serialization;

namespace economy.Models.Lotto
{
    public class Response
    {
        // 요청 결과
        [JsonPropertyName("returnValue")]
        public string ReturnValue { get; set; }

        // 총 판매금액
        [JsonPropertyName("totSellamnt")]
        public long TotalSellAmount { get; set; }

        // 추첨일
        [JsonPropertyName("drwNoDate")]
        public DateOnly DrawDate { get; set; }

        // 1게임당 당첨금액
        [JsonPropertyName("firstWinamnt")]
        public long FirstWinAmount { get; set; }

        // 1등 당첨인원
        [JsonPropertyName("firstPrzwnerCo")]
        public int FirstPrizeWinnerCount { get; set; }

        // 1등 총 당첨금액
        [JsonPropertyName("firstAccumamnt")]
        public long FirstAccumulatedAmount { get; set; }

        // 회차
        [JsonPropertyName("drwNo")]
        public int DrawNumber { get; set; }

        // 번호 1
        [JsonPropertyName("drwtNo1")]
        public int DrawnNumber1 { get; set; }

        // 번호 2
        [JsonPropertyName("drwtNo2")]
        public int DrawnNumber2 { get; set; }

        // 번호 3
        [JsonPropertyName("drwtNo3")]
        public int DrawnNumber3 { get; set; }

        // 번호 4
        [JsonPropertyName("drwtNo4")]
        public int DrawnNumber4 { get; set; }

        // 번호 5
        [JsonPropertyName("drwtNo5")]
        public int DrawnNumber5 { get; set; }

        // 번호 6
        [JsonPropertyName("drwtNo6")]
        public int DrawnNumber6 { get; set; }

        // 보너스 번호
        [JsonPropertyName("bnusNo")]
        public int BonusNumber { get; set; }
    }
}